package ex9_1;


public class RangeValidator implements IValidator {
	private final int min;
	private final int max;
	public RangeValidator(int min, int max) {
		this.min = min;
		this.max = max;
	}
	public String valid(String name, String text) {
		try {
			int n = Integer.parseInt(text);
			if (n >= min && n <= max) {
				return null;
			} else {
				return name + "" + min + "`" + max + "Ԃœ͂ĂB";
			}
		} catch (NumberFormatException ex) {
			return name + "͐lœ͂ĂB";
		}

	}
}
